org.apache.fop.fo.extensions

## Interface ExtensionAttachment

All Known Implementing Classes:
  AFPExtensionAttachment, AFPIncludeFormMap, AFPInvokeMediumMap, AFPPageOverlay, AFPPageSegmentElement.AFPPageSegmentSetup, AFPPageSetup, PDFDictionaryAttachment, PDFEmbeddedFileAttachment, PDFExtensionAttachment, PSCommentAfter, PSCommentBefore, PSExtensionAttachment, PSPageTrailerCodeBefore, PSSetPageDevice, PSSetupCode, XMPMetadata

    public interface ExtensionAttachment

This interface is implemented by objects that are returned by special extension element through the FONode.getExtensionAttachment() method. Such objects are carried in the FO tree and made available to the layout managers that support processing extension attachments or support passing them on to the area tree where they can be picked up by renderers.

NOTE: Classes which implement this interface need to be Serializable!

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getCategory()` This method returns a category URI that allows a processor (layout manager or renderer) to determine if it supports this object.

### Method Detail

#### getCategory

    String getCategory()

This method returns a category URI that allows a processor (layout manager or renderer) to determine if it supports this object.

Returns:
  the category URI